const htmlShrink = require('html-minifier').minify;
const juice = require('juice');

module.exports = async function minifyMail(input) {
  const inlined = juice(input);
  return htmlShrink(inlined, {
    removeComments: true,
    collapseWhitespace: true
  });
};